#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libexosip2
Version		:	5.3.0
Release		:	16.2.0.rel%{?dist}
Summary		:	A library that hides the complexity of using the SIP protocol

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://savannah.nongnu.org/projects/eXosip
 

Source0		:	http://download.savannah.nongnu.org/releases/exosip/%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	c-ares
BuildRequires	:	gcc
BuildRequires	:	libosip2-devel	>= 5.3.0
BuildRequires	:	libtool
BuildRequires	:	openssl-devel
BuildRequires	:	doxygen
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
A library that hides the complexity of using
the SIP protocol for mutlimedia session establishement.
This protocol is mainly to be used by VoIP
telephony applications (endpoints or conference server) but
might be also useful for any application that wish
to establish sessions like multiplayer games.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/sip_*
%{_libdir}/libeXosip2.so.15*
 
#=============================================================================
%package		devel
Summary		:	Development libraries for eXsip2
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development files for libeXosip2. 

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc help/doxygen/doc/html
%{_includedir}/eXosip2/*.h
%{_libdir}/libeXosip2.so
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif -I scripts
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
%{__make} doxygen

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# Rename and move manpage.
%{__mkdir_p} %{buildroot}%{_mandir}/man3
%{__cp}							\
	help/doxygen/doc/man/man3/*.3*			\
	%{buildroot}%{_mandir}/man3

#-----------------------------------------------------------------------------
%changelog
